> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vendor Contact Titles

> 
        Retrieve a list of vendor contact titles with optional filtering and sorting.

        Supports timestamp-based filtering for synchronization and audit purposes.
        



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /coa/api/vendor-contact-title
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.


    ## Rate limits

    API users can make up to **5 requests per second**. This limit is shared
    across

    all endpoints for the same API user. Requests that exceed the limit receive
    a

    `429 Too Many Requests` response. Wait for the number of seconds specified
    in

    the `Retry-After` response header before retrying.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/vendor-contact-title:
    get:
      tags:
        - Company Objects
      summary: List Vendor Contact Titles
      description: |2-

                Retrieve a list of vendor contact titles with optional filtering and sorting.

                Supports timestamp-based filtering for synchronization and audit purposes.
                
      operationId: coa_api_vendor_contact_title_list
      parameters:
        - in: query
          name: last_modified_at__gte
          schema:
            type: string
          description: >-
            Filter for records modified on or after this timestamp. Format: ISO
            8601 (e.g., '2024-01-01T00:00:00Z' or '2024-01-01'). Works with both
            active records and deleted records (filters by deletion time for
            deleted records).
        - in: query
          name: last_modified_at__lte
          schema:
            type: string
          description: >-
            Filter for records modified on or before this timestamp. Format: ISO
            8601 (e.g., '2024-12-31T23:59:59Z' or '2024-12-31'). Works with both
            active records and deleted records (filters by deletion time for
            deleted records).
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - in: query
          name: q
          schema:
            type: string
          description: Search query - searches by title name
        - in: query
          name: sort
          schema:
            type: string
            default: name
          description: >-
            Sort order. Use field name for ascending, -field for descending.
            Default: name
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedVendorContactTitleList'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    PaginatedVendorContactTitleList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/VendorContactTitle'
    VendorContactTitle:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        contacts_count:
          type: integer
          readOnly: true
          default: 0
        name:
          type: string
          maxLength: 250
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        customer:
          type: integer
          readOnly: true
      required:
        - contacts_count
        - created_at
        - customer
        - id
        - last_modified_at
        - name
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````